Subject: bug#49225: closed (Re: bug#49225: Possibly difficult to reproduce GnuTLS build bug?)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 23 Jul 2021 08:56:02 +0000

Your bug report

#49225: Possibly difficult to reproduce GnuTLS build bug?

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
49225: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=49225
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#49225: Possibly difficult to reproduce GnuTLS build bug?
From: Ludovic Courtès <[email-masked]>
To: Domagoj Stolfa <[email-masked]>
Cc: [email-masked]
Date: Fri, 23 Jul 2021 10:54:52 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Domagoj Stolfa <[email-masked]> skribis:

>> Could you confirm that it works for you on current ‘master’?
>
> I managed to run it today both on my Guix System and a RHEL box, which would
> suggest that it "reproducibly" works :-).

Awesome, closing!

Thanks,
Ludo’.

Subject: Possibly difficult to reproduce GnuTLS build bug?
From: Domagoj Stolfa <[email-masked]>
To: [email-masked]
Date: Fri, 25 Jun 2021 15:07:24 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello:

While running `make check-system`, I've encountered an issue with building
GnuTLS (see attached drv file).

Upon re-cloning the repository on the exact same commit, reconfiguring it in
the exact same way and re-running `make check-system`, GnuTLS built just fine.
I'm not quite sure how one could go about debugging this, but it might be good
for this bug report to exist in case others run into it.

--
Domagoj